package com.qmth.qrzk.repository.service.query;

public class PaperParams extends QueryParams{

	private int batchId;
	
	private int paperId;
	
	private String code;
	
	private String courseName;
	
	private String courseCode;
	
	private String status;
	
	private int isOutBoundScanned;		//出库扫描
	
	private int isStorageScanned=2;		//入库扫描
	
	private int isReturn;			//试卷回库
	
	private int isSpecialAnswerSheet=2;
	
	private int isSeparatePaperUploaded=2;
	
	private int isWPaperUploaded=2;
	
	private int isZyUploaded=2;
	
	private String name;
	
	private int rukuType;
	
	private String bookName;
	private String bookAuthor;
	private String bookPress;
	private String bookPressYear;
	
	private String school;
	
	private String deleteBatch;
	
	private String paperPath;
	
	private String separatePaperPath;//分卷地址
	private String wPaperPath;//网评卷地址
	
	private String standardAnswerPath;//标答地址
	
	private String answerSheetPath;//专卡地址
	
	private String zyPath;//转印说明地址
	
	private String attachmentsPath;
	
	private String picturesPath;
	
	private String[] array;
	
	private String[] arrCode;
	
	
	public int getIsWPaperUploaded() {
		return isWPaperUploaded;
	}

	public void setIsWPaperUploaded(int isWPaperUploaded) {
		this.isWPaperUploaded = isWPaperUploaded;
	}

	public String getwPaperPath() {
		return wPaperPath;
	}

	public void setwPaperPath(String wPaperPath) {
		this.wPaperPath = wPaperPath;
	}

	public String getSeparatePaperPath() {
		return separatePaperPath;
	}

	public void setSeparatePaperPath(String separatePaperPath) {
		this.separatePaperPath = separatePaperPath;
	}

	public int getIsSeparatePaperUploaded() {
		return isSeparatePaperUploaded;
	}

	public void setIsSeparatePaperUploaded(int isSeparatePaperUploaded) {
		this.isSeparatePaperUploaded = isSeparatePaperUploaded;
	}

	public String getDeleteBatch() {
		return deleteBatch;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setDeleteBatch(String deleteBatch) {
		this.deleteBatch = deleteBatch;
	}

	public String[] getArrCode() {
		return arrCode;
	}

	public int getIsSpecialAnswerSheet() {
		return isSpecialAnswerSheet;
	}

	public void setIsSpecialAnswerSheet(int isSpecialAnswerSheet) {
		this.isSpecialAnswerSheet = isSpecialAnswerSheet;
	}

	public void setArrCode(String[] arrCode) {
		this.arrCode = arrCode;
	}

	
	public String[] getArray() {
		return array;
	}

	public void setArray(String[] array) {
		this.array = array;
	}

	public int getBatchId() {
		return batchId;
	}

	public void setBatchId(int batchId) {
		this.batchId = batchId;
	}

	
	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public int getRukuType() {
		return rukuType;
	}

	public void setRukuType(int rukuType) {
		this.rukuType = rukuType;
	}

	public int getPaperId() {
		return paperId;
	}

	public void setPaperId(int paperId) {
		this.paperId = paperId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public int getIsOutBoundScanned() {
		return isOutBoundScanned;
	}

	public void setIsOutBoundScanned(int isOutBoundScanned) {
		this.isOutBoundScanned = isOutBoundScanned;
	}

	

	public int getIsStorageScanned() {
		return isStorageScanned;
	}

	public void setIsStorageScanned(int isStorageScanned) {
		this.isStorageScanned = isStorageScanned;
	}

	public int getIsReturn() {
		return isReturn;
	}

	public void setIsReturn(int isReturn) {
		this.isReturn = isReturn;
	}

	public PaperParams(int batchId, int paperId) {
		super();
		this.batchId = batchId;
		this.paperId = paperId;
	}

	public PaperParams(int batchId) {
		super();
		this.batchId = batchId;
	}

	
	
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	
	public PaperParams(String code, String courseCode, int rukuType) {
		super();
		this.code = code;
		this.courseCode = courseCode;
		this.rukuType = rukuType;
	}

	public String getPaperPath() {
		return paperPath;
	}

	public void setPaperPath(String paperPath) {
		this.paperPath = paperPath;
	}

	public String getStandardAnswerPath() {
		return standardAnswerPath;
	}

	public void setStandardAnswerPath(String standardAnswerPath) {
		this.standardAnswerPath = standardAnswerPath;
	}

	public String getAnswerSheetPath() {
		return answerSheetPath;
	}

	public void setAnswerSheetPath(String answerSheetPath) {
		this.answerSheetPath = answerSheetPath;
	}

	public String getAttachmentsPath() {
		return attachmentsPath;
	}

	public void setAttachmentsPath(String attachmentsPath) {
		this.attachmentsPath = attachmentsPath;
	}

	public String getPicturesPath() {
		return picturesPath;
	}

	public void setPicturesPath(String picturesPath) {
		this.picturesPath = picturesPath;
	}

	public PaperParams() {
		super();
		// TODO Auto-generated constructor stub
	}

	
	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public PaperParams(String code, String paperPath,
			String standardAnswerPath, String answerSheetPath,
			String attachmentsPath, String picturesPath) {
		super();
		this.code = code;
		this.paperPath = paperPath;
		this.standardAnswerPath = standardAnswerPath;
		this.answerSheetPath = answerSheetPath;
		this.attachmentsPath = attachmentsPath;
		this.picturesPath = picturesPath;
	}

	public PaperParams(String code, String courseName, String bookName,
			String school) {
		super();
		this.code = code;
		this.courseName = courseName;
		this.bookName = bookName;
		this.school = school;
	}

	public PaperParams(int batchId, String code) {
		super();
		this.batchId = batchId;
		this.code = code;
	}

	public PaperParams(String code, String courseCode, String status,
			int isOutBoundScanned, int isStorageScanned, int isReturn) {
		super();
		this.code = code;
		this.courseCode = courseCode;
		this.status = status;
		this.isOutBoundScanned = isOutBoundScanned;
		this.isStorageScanned = isStorageScanned;
		this.isReturn = isReturn;
	}

	public PaperParams(int batchId, String code, String courseName,
			String status, String bookName, String school) {
		super();
		this.batchId = batchId;
		this.code = code;
		this.courseName = courseName;
		this.status = status;
		this.bookName = bookName;
		this.school = school;
	}

	public PaperParams(int batchId, String[] array) {
		super();
		this.batchId = batchId;
		this.array = array;
	}

	public PaperParams(int batchId, String[] array, String[] arrCode) {
		super();
		this.batchId = batchId;
		this.array = array;
		this.arrCode = arrCode;
	}

	public String getBookAuthor() {
		return bookAuthor;
	}

	public void setBookAuthor(String bookAuthor) {
		this.bookAuthor = bookAuthor;
	}

	public String getBookPress() {
		return bookPress;
	}

	public void setBookPress(String bookPress) {
		this.bookPress = bookPress;
	}

	public String getBookPressYear() {
		return bookPressYear;
	}

	public void setBookPressYear(String bookPressYear) {
		this.bookPressYear = bookPressYear;
	}

	public int getIsZyUploaded() {
		return isZyUploaded;
	}

	public void setIsZyUploaded(int isZyUploaded) {
		this.isZyUploaded = isZyUploaded;
	}

	public String getZyPath() {
		return zyPath;
	}

	public void setZyPath(String zyPath) {
		this.zyPath = zyPath;
	}
	
}
